#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  gnome-backgrounds-41.0

- Next

  gexiv2-0.14.0

- Up
- Home

# Gvfs-1.48.1

## Introduction to Gvfs

The Gvfs package is a userspace virtual filesystem designed to work with the I/O abstractions of GLib's GIO library.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gvfs/1.48/gvfs-1.48.1.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gvfs/1.48/gvfs-1.48.1.tar.xz

- Download MD5 sum: a801309d09457bbd0c8a0a871fec0ac3

- Download size: 1.2 MB

- Estimated disk space required: 51 MB

- Estimated build time: 0.4 SBU

### Gvfs Dependencies

#### Required

dbus-1.12.20, GLib-2.70.4, libusb-1.0.25, libsecret-0.20.5 and libsoup-2.74.2

#### Recommended

Gcr-3.40.0, GTK+-3.24.31, libcdio-2.1.0, libgdata-0.18.1, libgudev-237, Systemd-250, and UDisks-2.9.4

#### Optional

Apache-2.4.52, Avahi-0.8, BlueZ-5.63, dbus-glib-0.112, Fuse-3.10.5, gnome-online-accounts-3.40.1, GTK-Doc-1.33.2, libarchive-3.6.0, libgcrypt-1.10.0, libxml2-2.9.13, libxslt-1.1.35, OpenSSH-8.8p1, Samba-4.15.5, libbluray, libgphoto2, libimobiledevice, libmtp, libnfs, and Twisted

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gvfs

## Installation of Gvfs

First, apply a fix to build with newer versions of meson:

    sed -i '/policy,/d' daemon/meson.build

Install Gvfs by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr       \
          --buildtype=release \
          -Dfuse=false        \
          -Dgphoto2=false     \
          -Dafc=false         \
          -Dbluray=false      \
          -Dnfs=false         \
          -Dmtp=false         \
          -Dsmb=false         \
          -Ddnssd=false       \
          -Dgoa=false         \
          -Dgoogle=false      .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D<option>=false`: These switches are required if the corresponding optional dependency is not installed. Remove those where you have installed the corresponding application and wish to use it with Gvfs. The dnssd option requires avahi and both goa/google require GNOME Online Accounts.

`-Dcdda=false`: This switch is required if libcdio is not installed. The cdda backend is useless on machines without a CDROM/DVD drive.

## Contents

Installed Programs: None
Installed Library: libgvfscommon.so, libgvfsdaemon.so and some under /usr/lib/gio/modules/
Installed Directories: /usr/include/gvfs-client and /usr/{lib,share}/gvfs

### Short Descriptions

`libgvfscommon.so` | contains the common API functions used in Gvfs programs

Last updated on

- Prev

  gnome-backgrounds-41.0

- Next

  gexiv2-0.14.0

- Up
- Home